Freeciv-3.3: goto_dialog Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes
goto_dialog Class Reference

`#include <gotodlg.h>`

Inheritance diagram for goto_dialog:

## Public Slots

void | close_dlg ()

## Public Member Functions

| goto_dialog (QWidget *parent=0)
void | init ()
| ~goto_dialog ()
void | update_dlg ()
void | show_me ()
void | sort_def ()
Public Member Functions inherited from qfc_dialog
| qfc_dialog (QWidget *parent)
void | reactivate ()

## Protected Member Functions

void | paint (QPainter *painter, QPaintEvent *event)
void | paintEvent (QPaintEvent *event)
Protected Member Functions inherited from qfc_dialog
void | paintEvent (QPaintEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)

## Private Slots

void | go_to_city ()
void | airlift_to ()
void | item_selected (const QItemSelection &sl, const QItemSelection &ds)
void | checkbox_changed (int state)

## Private Member Functions

void | fill_tab (struct player *pplayer)

## Private Attributes

QTableWidget * | goto_tab
QPushButton * | goto_city
QPushButton * | airlift_city
QPushButton * | close_but
QCheckBox * | show_all
QGridLayout * | layout
QLabel * | show_all_label
struct tile * | original_tile

## Detailed Description

Definition at line 42 of file gotodlg.h.

## Constructor & Destructor Documentation

## ◆ goto_dialog()

goto_dialog::goto_dialog | ( | QWidget * | parent = `0` | ) |

Constructor for goto_dialog

Definition at line 70 of file gotodlg.cpp.

## ◆ ~goto_dialog()

goto_dialog::~goto_dialog | ( |  | ) |

Destructor for goto dialog

Definition at line 151 of file gotodlg.cpp.

## Member Function Documentation

## ◆ airlift_to

void goto_dialog::airlift_to | ( |  | ) |

privateslot

Slot for airlifting unit

Definition at line 419 of file gotodlg.cpp.

Referenced by goto_dialog().

## ◆ checkbox_changed

void goto_dialog::checkbox_changed | ( | int | state | ) |

privateslot

Slot for checkbox 'all nations'

Definition at line 158 of file gotodlg.cpp.

Referenced by goto_dialog().

## ◆ close_dlg

void goto_dialog::close_dlg | ( |  | ) |

slot

Slot for hiding dialog

Definition at line 460 of file gotodlg.cpp.

Referenced by goto_dialog(), and popdown_all_game_dialogs().

## ◆ fill_tab()

void goto_dialog::fill_tab | ( | struct player * | pplayer | ) |

private

Helper for function for filling table

Definition at line 257 of file gotodlg.cpp.

Referenced by update_dlg().

## ◆ go_to_city

void goto_dialog::go_to_city | ( |  | ) |

privateslot

Slot for goto for city

Definition at line 440 of file gotodlg.cpp.

Referenced by goto_dialog().

## ◆ init()

void goto_dialog::init | ( |  | ) |

Sets variables which must be destroyed later

Definition at line 140 of file gotodlg.cpp.

Referenced by popup_goto_dialog(), and show_me().

## ◆ item_selected

void goto_dialog::item_selected | ( | const QItemSelection & | sl,
|  | const QItemSelection & | ds
| ) |  |

privateslot

User has chosen some city on table

Definition at line 166 of file gotodlg.cpp.

Referenced by goto_dialog().

## ◆ paint()

void goto_dialog::paint | ( | QPainter * | painter,
|  | QPaintEvent * | event
| ) |  |

protected

Paints rectangles for goto_dialog

Definition at line 474 of file gotodlg.cpp.

Referenced by paintEvent().

## ◆ paintEvent()

void goto_dialog::paintEvent | ( | QPaintEvent * | event | ) |

protected

Paint event for goto_dialog

Definition at line 485 of file gotodlg.cpp.

## ◆ show_me()

void goto_dialog::show_me | ( |  | ) |

Shows and moves widget

Definition at line 213 of file gotodlg.cpp.

Referenced by popup_goto_dialog().

## ◆ sort_def()

void goto_dialog::sort_def | ( |  | ) |

Sorts dialog by default column (0)

Definition at line 205 of file gotodlg.cpp.

Referenced by popup_goto_dialog().

## ◆ update_dlg()

void goto_dialog::update_dlg | ( |  | ) |

Updates table in widget

Definition at line 236 of file gotodlg.cpp.

Referenced by checkbox_changed(), popup_goto_dialog(), and qtg_real_focus_units_changed().

## Field Documentation

## ◆ airlift_city

QPushButton* goto_dialog::airlift_city

private

Definition at line 47 of file gotodlg.h.

Referenced by goto_dialog(), and item_selected().

## ◆ close_but

QPushButton* goto_dialog::close_but

private

Definition at line 48 of file gotodlg.h.

Referenced by goto_dialog().

## ◆ goto_city

QPushButton* goto_dialog::goto_city

private

Definition at line 46 of file gotodlg.h.

Referenced by goto_dialog().

## ◆ goto_tab

QTableWidget* goto_dialog::goto_tab

private

Definition at line 45 of file gotodlg.h.

Referenced by airlift_to(), fill_tab(), go_to_city(), goto_dialog(), item_selected(), sort_def(), and update_dlg().

## ◆ layout

QGridLayout* goto_dialog::layout

private

Definition at line 50 of file gotodlg.h.

Referenced by goto_dialog().

## ◆ original_tile

struct tile* goto_dialog::original_tile

private

Definition at line 75 of file gotodlg.h.

Referenced by close_dlg(), goto_dialog(), init(), and show_me().

## ◆ show_all

QCheckBox* goto_dialog::show_all

private

Definition at line 49 of file gotodlg.h.

Referenced by goto_dialog(), and update_dlg().

## ◆ show_all_label

QLabel* goto_dialog::show_all_label

private

Definition at line 51 of file gotodlg.h.

Referenced by goto_dialog().